package cn.ibizlab.util.security;

import lombok.Data;
import org.springframework.util.ObjectUtils;

import java.util.*;

@Data
public class UAADEAuthority extends UAAGrantedAuthority {


    private String entity;
    private String entityCode;
    private Integer enableorgdr;
    private Integer enabledeptdr;
    private Integer enabledeptbc;
    private Integer orgdr;
    private Integer deptdr;
    private String deptbc;
    private String systemid;
    private Integer isAllData;
    private boolean dataset;
    private String bscope;
    private String authority;
    private List<Map<String, String>> deAction = new ArrayList<>();

    public UAADEAuthority(){
        this.setType("OPPRIV");
    }


    @Override
    public String getAuthority() {
        return this.getName();
    }

    public void setAuthority(String name) {

    }

    public Set<String> getAuthorities()
    {
        Set<String> sets=new LinkedHashSet<>();
        if(ObjectUtils.isEmpty(entityCode))
            return sets;
        if(ObjectUtils.isEmpty(systemid))
            return sets;
        deAction.forEach(item->{
            String scope="";
//            if(item.containsKey("READ"))
        });
        return sets;
    }
}

